libsigc++: sigc::pointer_functor3< T_arg1, T_arg2, T_arg3, T_return > Class Template Reference

libsigc++ 2.8.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::pointer_functor3< T_arg1, T_arg2, T_arg3, T_return > Class Template Reference
Functors » ptr_fun()

pointer_functor3 wraps existing non-member functions with 3 argument(s). More...

`#include <sigc++/functors/ptr_fun.h>`

Inheritance diagram for sigc::pointer_functor3< T_arg1, T_arg2, T_arg3, T_return >:
[legend]

## Public Types
typedef T_return | result_type

## Public Member Functions
| pointer_functor3 ()
| Constructs an invalid functor. More...
| pointer_functor3 (function_type _A_func)
| Constructs a pointer_functor3 object that wraps an existing function. More...
T_return | operator() (type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3) const
| Execute the wrapped function. More...

## Protected Attributes
function_type | func_ptr_

## Detailed Description

### template<class T_arg1, class T_arg2, class T_arg3, class T_return>
class sigc::pointer_functor3< T_arg1, T_arg2, T_arg3, T_return >

pointer_functor3 wraps existing non-member functions with 3 argument(s).

Use the convenience function ptr_fun() to create an instance of pointer_functor3.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_arg3 Argument type used in the definition of operator()().
- T_return The return type of operator()().

## Member Typedef Documentation

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return >

typedef T_return sigc::pointer_functor3< T_arg1, T_arg2, T_arg3, T_return >::result_type

## Constructor & Destructor Documentation

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return >

sigc::pointer_functor3< T_arg1, T_arg2, T_arg3, T_return >::pointer_functor3 | ( |  | ) |
| inline

Constructs an invalid functor.

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return >

sigc::pointer_functor3< T_arg1, T_arg2, T_arg3, T_return >::pointer_functor3 | ( | function_type | _A_func | ) |
| inlineexplicit

Constructs a pointer_functor3 object that wraps an existing function.

Parameters

  _A_func | Pointer to function that will be invoked from operator()().

## Member Function Documentation

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return >

T_return sigc::pointer_functor3< T_arg1, T_arg2, T_arg3, T_return >::operator() | ( | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2,
|  | type_trait_take_t< T_arg3 > | _A_a3
| ) |  | const
| inline

Execute the wrapped function.

Parameters

  _A_a1 | Argument to be passed on to the function.
  _A_a2 | Argument to be passed on to the function.
  _A_a3 | Argument to be passed on to the function.

Returns
  The return value of the function invocation.

## Member Data Documentation

template <class T_arg1 , class T_arg2 , class T_arg3 , class T_return >

function_type sigc::pointer_functor3< T_arg1, T_arg2, T_arg3, T_return >::func_ptr_
| protected